Package org.eclipse.emf.cdo.common.lob

## Interface CDOLobStore

- All Known Implementing Classes:
    `CDOLobStore.Delegating`, `CDOLobStoreImpl`

      public interface CDOLobStore

  Stores and loads `large objects`.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOLobStore.Delegating` | An abstract `large object store` that delegates all method calls to a delegate.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.InputStream` | `getBinary​(CDOLobInfo info)` |
    `java.io.File` | `getBinaryFile​(byte[] id)` |
    `java.io.Reader` | `getCharacter​(CDOLobInfo info)` |
    `java.io.File` | `getCharacterFile​(byte[] id)` |
    `CDOLobInfo` | `putBinary​(java.io.InputStream contents)` |
    `CDOLobInfo` | `putCharacter​(java.io.Reader contents)` |

- - ### Method Detail

    - #### getBinaryFile

          java.io.File getBinaryFile​(byte[] id)

    - #### getBinary

          java.io.InputStream getBinary​(CDOLobInfo info)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### putBinary

          CDOLobInfo putBinary​(java.io.InputStream contents)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCharacterFile

          java.io.File getCharacterFile​(byte[] id)

    - #### getCharacter

          java.io.Reader getCharacter​(CDOLobInfo info)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### putCharacter

          CDOLobInfo putCharacter​(java.io.Reader contents)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`